SlickEdit Community

SlickEdit Product Discussion => SlickEdit® Core for Eclipse™ => Topic started by: Sylvain on August 16, 2012, 03:46:17 pm

Title: SlickEdit Core for Juno
Post by: Sylvain on August 16, 2012, 03:46:17 pm
Is SlickEdit core version 3.7.1 compatible with Eclipse Juno?
Title: Re: SlickEdit Core for Juno
Post by: Ryan on August 16, 2012, 07:47:03 pm
I have experimented with this setup (on Windows), and it seems to work fine.  I got it to install, and run, and was able to edit/save my files and use the SlickEdit Prefences.  However, there are incompatibilities listed on eclipse.org when migrating a 3.7.x compatible plugin to a 4.2 (juno) compatible plugin...so I can't guarantee your safety.  Basically, it should work...but it is certainly not an officially supported platfom.  If you have troubles I'm still more than happy to help you out, there.

- Ryan
Title: Re: SlickEdit Core for Juno
Post by: Sylvain on August 16, 2012, 07:51:08 pm
Is there any time frame for a SlickEdit Core plugin for Eclipse 4.2 (Juno)?
Title: Re: SlickEdit Core for Juno
Post by: Ryan on August 19, 2012, 05:36:17 pm
No...not yet :(.  We hope to be getting up to speed with our 4.2 release soon, it's just that this year we are slightly delayed because of all the work involved in producing our QT port for SlickEdit.  Our normal time frame for our major Core release (which follows the major SlickEdit release), is late Summer or maybe Fall...but I would expect we will be later than that this year.  We do want to get a great Core release based on SlickEdit 17 out as soon as we can, though.

- Ryan
Title: Re: SlickEdit Core for Juno
Post by: mckaiju on October 24, 2012, 03:38:00 pm
Any update on when SlickEdit Core for Eclipse Juno will be available?  While it functions for the most part on Juno as is, there are still some hiccups and buggy things. 
Title: Re: SlickEdit Core for Juno
Post by: Ryan on October 25, 2012, 04:05:08 pm
Unfortunately there's not much more I can add right now, other than we are actively working on it...and I know there are incompatibilities :(.  I'll be able to post a more definite time frame when we get closer to the beta release.

- Ryan
Title: Re: SlickEdit Core for Juno
Post by: Ryan on October 25, 2012, 04:07:07 pm
How are you folks finding working in Juno?  Do you have any complaints over Eclipse 3.8 (if you have used this release)?  Or even complaints over 3.7?  How are you finding the performance, and look and feel?
Title: Re: SlickEdit Core for Juno
Post by: mckaiju on October 25, 2012, 04:39:04 pm
ok, thanks for the update.  Ill keep looking for more announcements for it.  As far as juno compared to 3.7, I love juno.  It is far more stable, eats up less memory, and has a slicker and more responsive interface.  I have no intention to go back to 3.7, just so slickedit works better.  Id much rather deal with a little buginess in slickedit than deal with 3.7 again. 
Title: Re: SlickEdit Core for Juno
Post by: Ryan on October 29, 2012, 02:46:13 am
Well I'm glad to hear that...I've read a lot of mixed reviews.  I think I will get used to the new interface, in time, but I'm a little surprised that you've found it to be more responsive.  Thus far that has not been my experience.
Title: Re: SlickEdit Core for Juno
Post by: Sylvain on November 06, 2012, 05:48:40 pm
@mckaiju:
Do you have a list of known issues when running SlickEdit with Juno?
Title: Re: SlickEdit Core for Juno
Post by: chlebak on December 17, 2012, 09:05:49 pm
Also, any update as to when Juno will be fully supported?
Title: Re: SlickEdit Core for Juno
Post by: dohlhaut on December 17, 2012, 09:22:48 pm
With Juno, I have the SE plugin installed, and am seeing Eclipse crashes and other odd source scrolling behavior while debugging.  More than just hiccups or querky behavior.
Title: Re: SlickEdit Core for Juno
Post by: Ryan on January 02, 2013, 03:57:55 pm
Yea there are certainly incompatibilities, and I'm not surprised that you are seeing more than what you would consider a minor bug running with this configuration.  Since it isn't an officially supported platform, at first I was just testing it to see a) will this install, b) will this run, and c) can I edit and save files.

I wish I had a better post here to write about an update for our 4.x compatible plugin...but I don't :(.  We are obviously already behind with this release and we know that, and I am not ignoring this forum.  As soon as I can give a rough estimate of when the beta cycle will begin I will post it here before I even go to Starbucks in the morning.

- Ryan
Title: Re: SlickEdit Core for Juno
Post by: wsappington on April 17, 2013, 08:09:04 pm
Just adding my voice to the chorus about a Juno-compatible Core plugin.  Juno had been installed and was already set up with a bunch of projects before I had a chance to install Core (x64).  I chose to risk the incompatibilities rather than do without Slickedit for however long it takes for an update.  Does anyone else using this configuration have any issues they've discovered that I should be aware of?  Ryan, do you know of any?  It's been a while since the last post on this subject, wondering what may have popped up in the mean time.
Title: Re: SlickEdit Core for Juno
Post by: Sylvain on May 06, 2013, 01:57:43 pm
Any update regarding the "Juno" support?
Title: Re: SlickEdit Core for Juno
Post by: Ryan on May 07, 2013, 06:14:16 pm
We are actively working on it, and we want to get the release out this Summer (the earlier the better).  I can't offer any specific dates yet for a likely start to the beta cycle, but as soon as I can I'll let everyone know.  I'm sure this is starting to sound like a broken record, but I really can't offer anything more as of now :-\.

- Ryan
Title: Re: SlickEdit Core for Juno
Post by: wsappington on August 22, 2013, 01:16:01 pm
Bump.  Just checking for signs of life on this.
Title: Re: SlickEdit Core for Juno
Post by: Ryan on August 22, 2013, 02:10:26 pm
Trying our best to get the beta out in September.  And it will also support Kepler, since that has been released.

Thanks for your patience...and sorry for all the delays,

Ryan
Title: Re: SlickEdit Core for Juno
Post by: gchouini on September 26, 2013, 04:32:46 pm
is there an update for Kepler support? 
Title: Re: SlickEdit Core for Juno
Post by: gawied on October 04, 2013, 06:19:48 am
Any update on this?
Title: Re: SlickEdit Core for Juno
Post by: wsappington on October 10, 2013, 05:25:05 pm
Looks like silence is all we're getting for our subscription fee these days...  >:(
Title: Re: SlickEdit Core for Juno
Post by: Matthew on October 10, 2013, 07:01:03 pm
Sorry I didn't see your post from the 4th. We're currently prepping the beta that will be built against the Eclipse 4.3 release. Right now we're dealing with a version change that affects couple of the Linux runtime libraries. Once that's straightened out we'll have the beta available for Win 32/64 and Linux 32/64. Our goal is to have those platforms in beta starting the week of Oct 21-25. We *may* have to release Beta 1 for Windows only if the Linux library issue can't be resolved quickly.
Title: Re: SlickEdit Core for Juno
Post by: Matthew on October 29, 2013, 07:00:04 pm
Just wanted to post for those following this thread that we now have the beta available for 4.3. Right now it's Windows-only, but we will have the Linux ones uploaded by the end of this week.

The update site URL is: https://customer.slickedit.com/update/secore/kepler/
Title: Re: SlickEdit Core for Juno
Post by: mckaiju on October 30, 2013, 06:11:38 pm
Thanks for the update.  Just tried to install the beta but I am being met with the following error:

"Cannot complete the install because one or more required items could not be found.
Software being installed: SlickEdit Core for Eclipse 4.3.0 (com.slickedit.feature.feature.group 4.3.0)
Missing requirement: SlickEdit Core for Eclipse 4.3.0 (com.slickedit.feature.feature.group 4.3.0) requires 'org.eclipse.update.core 0.0.0' but it could not be found"

Any ideas here?
Title: Re: SlickEdit Core for Juno
Post by: Sandra on October 30, 2013, 07:42:10 pm
@mckaiju,

What version of Eclipse are you using? 
Title: Re: SlickEdit Core for Juno
Post by: mckaiju on October 30, 2013, 07:53:10 pm
Eclipse IDE for C/C++ Developers

Version: Kepler Service Release 1
Build id: 20130919-0819
Title: Re: SlickEdit Core for Juno
Post by: mckaiju on October 31, 2013, 06:36:38 pm
just tried to reinstall https://customer.slickedit.com/update/secore/indigo since new kepler version wouldnt work and got the same error.  Any help would be appreciated, as I can no longer get any version of slickedit core installed. 
Title: Re: SlickEdit Core for Juno
Post by: Lee on October 31, 2013, 06:49:50 pm
What OS are you running on?
Title: Re: SlickEdit Core for Juno
Post by: mckaiju on October 31, 2013, 08:08:26 pm
windows 7 pro X64
Title: Re: SlickEdit Core for Juno
Post by: mckaiju on November 01, 2013, 03:47:53 pm
Can I only get one response per day?  is there a better way to receive help?  I just reupped my subscription, id really like some effort on slickedits part please. 
Title: Re: SlickEdit Core for Juno
Post by: Matthew on November 01, 2013, 03:56:56 pm
We've been trying to replicate your error on a couple different systems and with a couple different Eclipse distros, but haven't had any luck thus far.
Title: Re: SlickEdit Core for Juno
Post by: Matthew on November 01, 2013, 05:13:27 pm
Here's what I downloaded and installed on my clean Win7 x64 system.
- Installed Eclipse Standard 4.3.1
- Used Add New Software to install the C/C++ Development Tools and the C/C++ Development Tools SDK
- I was able to install Core 4.3 via the URL we posted earlier.

When I went into the "What's Already Installed" dialog, and clicked on the "Configuration" tab, the entry for org.eclipse.update.core (version 3.2.1) was listed in there.

I'll have to go back to a clean install to see where in the chain of installs that org.eclipse.update.core showed up.
Title: Re: SlickEdit Core for Juno
Post by: mckaiju on November 01, 2013, 06:29:04 pm
Thank you for the update.  I broke down and unistalled/deleted everything related to eclipse and slickedit and re downloaded eclipse kepler.  Once eclipse was back up in running I tried to install the kepler version of slick edit again but was met with an error when validating the certificate (don't remember what error, it went away too fast).  I restarted eclipse and then tried to install the new slickedit again and everything installed fine.  So far everything is working great. 

So i would recommend if anyone is has problems installing to just start over with a clean eclipse install. 

Thanks for help, I will report if in any other problems agree. 
Title: Re: SlickEdit Core for Juno
Post by: DaveyC on November 07, 2013, 07:09:02 am
I'm getting the same error trying to install into a 64-bit Juno installation. I can't change the Eclipse version as I'm using IBM Rational Developer. This explains what's going on http://stackoverflow.com/questions/11261634/ibm-clearcase-plugin-installation-issue-with-eclipse
Title: Re: SlickEdit Core for Juno
Post by: Matthew on November 07, 2013, 02:50:05 pm
Sorry you're seeing that same issue. We're working to get the Linux platform versions out soon, so we'll try to get that dependency issue resolved in an upcoming build.
Title: Re: SlickEdit Core for Juno
Post by: mckaiju on November 08, 2013, 09:30:39 pm
So I have been using the new beta for Kepler 64bit for about a week now and I will say for the most part everything works great, aside from installation problem I had.  But atleast once a day I have to restart Eclipse as all the slickedit functionality becomes unresponsive.  As in I am able to doing anything in eclipse except slickedit things (like edit code in slickedit editor, look up references, definitions, etc).  Restarting eclipse seems to get everything working fine again for rest of day.  I do notice my memory usage up in 7gb range when this happens, never used to get anywhere near that high. 
Title: Re: SlickEdit Core for Juno
Post by: Matthew on April 25, 2014, 03:02:02 pm
I posted the following in the "Kepler Beta" sub-forum board, but I wanted to make sure folks subscribed to this topic got the notice.
--------------

The latest beta builds are now available, for both Windows and Linux. The URL to use for the download is https://customer.slickedit.com/update/secore/kepler_beta

Thanks everyone for your patience with this. We still have a couple areas where there are focus behavior issues on the Linux platform, and there are some improvements we want to make in disabling SlickEdit-only editor commands when a non-SlickEdit editor is active. Our goal is to have the "Gold" release available in the middle of May.